Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface MethodReturnDefinition

All Superinterfaces:
  Definition, NamedDefinition, ParameterDefinition, VariableDefinition

public interface MethodReturnDefinition
extends ParameterDefinition

Marker interface for defining return types, as returned in the getReturnType method in OperationDefinition. Instances of this interface should return TYPE_METHODRETURN, which is defined in oracle.binding.meta.Definition, when its getType() method is called.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`StructureDefinition` | `getCollectionStructure()` Retrieves the metadata of the return collection.

Methods inherited from interface oracle.binding.meta.ParameterDefinition
`getStructure, isCollection, isScalarCollection, isStructured`

Methods inherited from interface oracle.binding.meta.VariableDefinition
`getDataControlDefinition, getJavaTypeString`

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Method Detail

### getCollectionStructure

    public StructureDefinition getCollectionStructure()

  Retrieves the metadata of the return collection. It is possible that the collection itself has operations defined, such as if the collection is a class that implements a java.util.Collection interface and contains methods for searching through its elements. Please note that this is different from the getStructure API, which returns the metadata of the collection elements.
  Returns:
    The metadata describing the structure of the collection, or null if there is none available for the return collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.